<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* campaign-preview.twig */
class __TwigTemplate_19f3a16624952c7122638b747cf468fa1179355ef8d3ba5873e061e195e25bc3 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
            'headContent' => [$this, 'block_headContent'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["inline"] = $this->loadTemplate("inline.twig", "campaign-preview.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("authed.twig", "campaign-preview.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_pageContent($context, array $blocks = [])
    {
        // line 13
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">
            ";
        // line 15
        $context["campaignName"] = $this->getAttribute(($context["campaign"] ?? null), "campaign", []);
        // line 16
        echo "            ";
        if ($this->getAttribute(($context["campaign"] ?? null), "isLayoutSpecific", [])) {
            // line 17
            echo "                ";
            /* xgettext:no-php-format */            echo strtr(__("Layout Preview for %campaignName%"), array("%campaignName%" => ($context["campaignName"] ?? null), ));
            // line 18
            echo "            ";
        } else {
            // line 19
            echo "                ";
            /* xgettext:no-php-format */            echo strtr(__("Campaign Preview for %campaignName%"), array("%campaignName%" => ($context["campaignName"] ?? null), ));
            // line 20
            echo "            ";
        }
        // line 21
        echo "        </div>
        <div class=\"widget-body\">
            <p><b>";
        // line 23
        echo __("total duration");
        echo "</b> ";
        echo twig_escape_filter($this->env, $this->env->getExtension('Xibo\Twig\DateFormatTwigExtension')->dateFormat(($context["duration"] ?? null)), "html", null, true);
        echo " <i>(";
        echo __("hours:min:sec");
        echo ")</i></p>
            <p><b>";
        // line 24
        echo __("number of layouts");
        echo "</b> : ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["campaign"] ?? null), "numberLayouts", []), "html", null, true);
        echo " </p>
            <div class=\"row clearfix\">
                ";
        // line 26
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["extendedLayouts"] ?? null));
        $context['loop'] = [
          'parent' => $context['_parent'],
          'index0' => 0,
          'index'  => 1,
          'first'  => true,
        ];
        if (is_array($context['_seq']) || (is_object($context['_seq']) && $context['_seq'] instanceof \Countable)) {
            $length = count($context['_seq']);
            $context['loop']['revindex0'] = $length - 1;
            $context['loop']['revindex'] = $length;
            $context['loop']['length'] = $length;
            $context['loop']['last'] = 1 === $length;
        }
        foreach ($context['_seq'] as $context["_key"] => $context["extendedLayout"]) {
            // line 27
            echo "                    <div class=\"col-sm-6 col-md-4 col-lg-3\">
                        <div class=\"row\">
                            <div class=\"col-sm-12\">
                                <div class=\"embed-responsive embed-responsive-4by3\">
                                    <div class=\"embed-responsive-item preview-container\"
                                         data-url=\"";
            // line 32
            echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("layout.preview", ["id" => $this->getAttribute($this->getAttribute($context["extendedLayout"], "layout", []), "layoutId", [])]), "html", null, true);
            echo "\">
                                        ";
            // line 33
            $this->loadTemplate("layout-preview-partial.twig", "campaign-preview.twig", 33)->display(twig_array_merge($context, ["layout" => $this->getAttribute($context["extendedLayout"], "layout", []), "previewOptions" => $this->getAttribute($context["extendedLayout"], "previewOptions", [])]));
            // line 34
            echo "                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class=\"row\">
                            <div class=\"col-sm-8\">
                                <small>";
            // line 40
            echo __("id");
            echo ":</small> ";
            echo twig_escape_filter($this->env, $this->getAttribute($this->getAttribute($context["extendedLayout"], "layout", []), "layoutId", []), "html", null, true);
            echo "<br/>
                                <small>";
            // line 41
            echo __("name");
            echo ":</small> ";
            echo twig_escape_filter($this->env, $this->getAttribute($this->getAttribute($context["extendedLayout"], "layout", []), "layout", []), "html", null, true);
            echo "<br/>
                                <small>";
            // line 42
            echo __("duration");
            echo ":</small> ";
            echo twig_escape_filter($this->env, $this->env->getExtension('Xibo\Twig\DateFormatTwigExtension')->dateFormat($this->getAttribute($context["extendedLayout"], "duration", [])), "html", null, true);
            echo "<br/>
                            </div>
                            <div class=\"col-sm-4\">
                                <a class=\"btn btn-default btn-sm\" href=\"";
            // line 45
            echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("layout.preview", ["id" => $this->getAttribute($this->getAttribute($context["extendedLayout"], "layout", []), "layoutId", [])]), "html", null, true);
            echo "\" target=\"_blank\">
                                    ";
            // line 46
            echo __("Open full screen");
            // line 47
            echo "                                    <span class=\"fa fa-tablet\"></span>
                                </a>
                            </div>
                        </div>
                    </div>
                ";
            ++$context['loop']['index0'];
            ++$context['loop']['index'];
            $context['loop']['first'] = false;
            if (isset($context['loop']['length'])) {
                --$context['loop']['revindex0'];
                --$context['loop']['revindex'];
                $context['loop']['last'] = 0 === $context['loop']['revindex0'];
            }
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['extendedLayout'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 53
        echo "            </div>
        </div>
    </div>
";
    }

    // line 58
    public function block_javaScript($context, array $blocks = [])
    {
        // line 59
        echo "    <script src=\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "rootUri", [], "method"), "html", null, true);
        echo "dist/vendor/html5preloader/html5Preloader.js?";
        echo twig_escape_filter($this->env, ($context["version"] ?? null), "html", null, true);
        echo "\"></script>
    <script src=\"";
        // line 60
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "rootUri", [], "method"), "html", null, true);
        echo "dist/preview/html-preview.js?";
        echo twig_escape_filter($this->env, ($context["version"] ?? null), "html", null, true);
        echo "\"></script>
    <script type=\"text/javascript\">
        var emptyRegionMessage = \"";
        // line 62
        echo __("Empty Region");
        echo "\"; 

        (function(\$){
          \$(document).ready(function(){
            ";
        // line 66
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["extendedLayouts"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["extendedLayout"]) {
            // line 67
            echo "              dsInit(";
            echo twig_escape_filter($this->env, $this->getAttribute($this->getAttribute($context["extendedLayout"], "layout", []), "layoutId", []), "html", null, true);
            echo ", ";
            echo twig_jsonencode_filter($this->getAttribute($context["extendedLayout"], "previewOptions", []));
            echo ", false);
            ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['extendedLayout'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 69
        echo "          });
        }(jQuery));
    </script>
";
    }

    // line 74
    public function block_headContent($context, array $blocks = [])
    {
        // line 75
        echo "        <link rel=\"stylesheet\" type=\"text/css\" href=\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "rootUri", [], "method"), "html", null, true);
        echo "dist/preview/html-preview.css\" />
        <link rel=\"stylesheet\" type=\"text/css\" href=\"";
        // line 76
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "uri", [0 => "css/html-preview.css"], "method"), "html", null, true);
        echo "\" />
";
    }

    public function getTemplateName()
    {
        return "campaign-preview.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  231 => 76,  226 => 75,  223 => 74,  216 => 69,  205 => 67,  201 => 66,  194 => 62,  187 => 60,  180 => 59,  177 => 58,  170 => 53,  151 => 47,  149 => 46,  145 => 45,  137 => 42,  131 => 41,  125 => 40,  117 => 34,  115 => 33,  111 => 32,  104 => 27,  87 => 26,  80 => 24,  72 => 23,  68 => 21,  65 => 20,  62 => 19,  59 => 18,  56 => 17,  53 => 16,  51 => 15,  47 => 13,  44 => 12,  39 => 9,  37 => 10,  31 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "campaign-preview.twig", "/home/mgatv524/public_html/edurocha/views/campaign-preview.twig");
    }
}
